Get audio details
curl --request GET \
--url https://api.videodb.io/audio/{audio_id} \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/audio/{audio_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/audio/{audio_id}' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/audio/{audio_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/audio/{audio_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/audio/{audio_id}")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"id": "a-12345",
"name": "audio.mp3",
"collection_id": "default",
"length": 60,
"size": 524288,
"created_at": "2023-11-07T05:31:56Z"
}
}Get Audio Details
Retrieve detailed information about a specific audio file
GET
/
audio
/
{audio_id}
Get audio details
Retrieve metadata for a specific audio file by its ID.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
# Get audio details
audio = coll.get_audio("a-abc123def")
print(f"ID: {audio.id}")
print(f"Name: {audio.name}")
print(f"Duration: {audio.length}s")
print(f"Collection: {audio.collection_id}")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
// Get audio details
const audio = await coll.getAudio("a-abc123def");
console.log(`ID: ${audio.id}`);
console.log(`Name: ${audio.name}`);
console.log(`Duration: ${audio.length}s`);
console.log(`Collection: ${audio.collection_id}`);
- Audio IDs always start with
a-prefix - The
lengthproperty contains duration in seconds - Use this to retrieve metadata before generating streams or download URLs
List All Audio
View all audio files in collection
Generate URL
Create streaming or download URLs
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^a-Example:
"a-12345"
Query Parameters
Example:
"default"
⌘I